Package opennlp.tools.ml.naivebayes

## Class LogProbability<T>

- java.lang.Object
- - opennlp.tools.ml.naivebayes.Probability<T>
  - - opennlp.tools.ml.naivebayes.LogProbability<T>

- Type Parameters:
    `T` - The label (category) class.

      public class LogProbability<T>
      extends Probability<T>

  A class implementing the logarithmic `Probability` for a label.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogProbability​(T label)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addIn​(double probability)` | Compounds the existing `probability` mass on the label with the new probability passed in to the method.
    `Double` | `get()` |
    `T` | `getLabel()` |
    `Double` | `getLog()` |
    `boolean` | `isLarger​(Probability<T> probability)` | Checks if a probability is greater than the old one.
    `void` | `set​(double probability)` | Assigns a `probability` to a label, discarding any previously assigned probability.
    `void` | `set​(Probability<T> probability)` | Assigns a `probability` to a label, discarding any previously assigned probability.
    `void` | `setIfLarger​(double probability)` | Assigns a `probability` to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
    `void` | `setIfLarger​(Probability<T> probability)` | Assigns a `probability` to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
    `void` | `setLog​(double probability)` | Assigns a log `probability` to a label, discarding any previously assigned probability.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogProbability

          public LogProbability​(T label)

  - ### Method Detail

    - #### set

          public void set​(double probability)

      Assigns a `probability` to a label, discarding any previously assigned probability.
      Overrides:
        `set` in class `Probability<T>`
      Parameters:
        `probability` - The probability to assign.

    - #### set

          public void set​(Probability<T> probability)

      Assigns a `probability` to a label, discarding any previously assigned probability.
      Overrides:
        `set` in class `Probability<T>`
      Parameters:
        `probability` - The `Probability` to assign.

    - #### setIfLarger

          public void setIfLarger​(double probability)

      Assigns a `probability` to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
      Overrides:
        `setIfLarger` in class `Probability<T>`
      Parameters:
        `probability` - The probability to assign.

    - #### setIfLarger

          public void setIfLarger​(Probability<T> probability)

      Assigns a `probability` to a label, discarding any previously assigned probability, if the new probability is greater than the old one.
      Overrides:
        `setIfLarger` in class `Probability<T>`
      Parameters:
        `probability` - The `Probability` to assign.

    - #### isLarger

          public boolean isLarger​(Probability<T> probability)

      Description copied from class: `Probability`
      Checks if a probability is greater than the old one.
      Overrides:
        `isLarger` in class `Probability<T>`
      Parameters:
        `probability` - the probability to check
      Returns:
        `true` if a probability is greater than the old one, `false` otherwise.

    - #### setLog

          public void setLog​(double probability)

      Assigns a log `probability` to a label, discarding any previously assigned probability.
      Overrides:
        `setLog` in class `Probability<T>`
      Parameters:
        `probability` - The log probability to assign.

    - #### addIn

          public void addIn​(double probability)

      Compounds the existing `probability` mass on the label with the new probability passed in to the method.
      Overrides:
        `addIn` in class `Probability<T>`
      Parameters:
        `probability` - The probability weight to add.

    - #### get

          public Double get()

      Overrides:
        `get` in class `Probability<T>`
      Returns:
        Retrieves the probability associated with a label.

    - #### getLog

          public Double getLog()

      Overrides:
        `getLog` in class `Probability<T>`
      Returns:
        Retrieves the log probability associated with a label.

    - #### getLabel

          public T getLabel()

      Overrides:
        `getLabel` in class `Probability<T>`
      Returns:
        Retrieves the probabilities associated with all labels,

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Probability<T>`